# Submit TollFree Campaign

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/campaigns/tollfree/submit>
{% endhint %}

<table data-header-hidden><thead><tr><th width="224.90911865234375"></th><th width="90.9091796875"></th><th width="418.27276611328125"></th></tr></thead><tbody><tr><td>Argument</td><td>Required</td><td>Type</td></tr><tr><td>did</td><td>yes</td><td>the number you're activating SMS on</td></tr><tr><td>businessname</td><td>yes</td><td>string</td></tr><tr><td>firstname</td><td>yes</td><td>string</td></tr><tr><td>lastname</td><td>yes</td><td>string</td></tr><tr><td>contactemail</td><td>yes</td><td>string</td></tr><tr><td>contactphone</td><td>yes</td><td>string</td></tr><tr><td>website</td><td>yes</td><td>string</td></tr><tr><td>address1</td><td>yes</td><td>string</td></tr><tr><td>address2</td><td>no</td><td>string</td></tr><tr><td>city</td><td>yes</td><td>string</td></tr><tr><td>state</td><td>yes</td><td>string</td></tr><tr><td>zip</td><td>yes</td><td>string</td></tr><tr><td>usecase</td><td>yes</td><td>Summarize the Use Case</td></tr><tr><td>optininfo</td><td>yes</td><td>How will handsets be opting-in to SMS program?<br>(Please provide proof of opt-in. You may provide a screenshot if opt-in is not visible from URL provided. Images may be uploaded at the bottom of the page. NOTE: consent from end user to receive SMS must be explicit.)</td></tr><tr><td>messagecontent</td><td>yes</td><td>Please provide sample message content for this campaign</td></tr><tr><td>wherepublished</td><td>yes</td><td>Tell us where the number will be published (website link, billboard)</td></tr><tr><td>urls_messagecontent</td><td>yes</td><td>List any urls that will be in the message content</td></tr><tr><td>numbers_messagecontent</td><td>yes</td><td>List any phone numbers that will be in the message content</td></tr><tr><td>enable_canada</td><td>no</td><td><p>Allow Canadian traffic</p><p>yes / no</p></td></tr><tr><td>advertising</td><td>no</td><td>This number will have Marketing/Advertising in messages<br>yes / no</td></tr><tr><td>fortune500</td><td>no</td><td>This company is a fortune 100 or fortune 500 company<br>yes / no</td></tr><tr><td>donations</td><td>no</td><td>This number will be asking for Donations / Collections<br>yes / no</td></tr><tr><td>donations_data</td><td>no</td><td>if donations is yes:<br>Please provide the Tax-ID, and non-profit website<br>All other information on this form must match this non-profit</td></tr><tr><td>msgvolume</td><td>yes</td><td>Daily Message Volume</td></tr><tr><td>file1_url</td><td>no</td><td>http url - if you want to attach an image to the campaign</td></tr><tr><td>file2_url</td><td>no</td><td>http url - if you want to attach an image to the campaign</td></tr><tr><td>key</td><td>yes</td><td>your api key</td></tr></tbody></table>

Send a POST with all of the information required from above

{% tabs %}
{% tab title="Curl Post" %}

```php
curl -X POST https://v1.api19.com/campaigns/tollfree/submit \
  -d "key=2h9fh23f23f2" \
  -d "did=8883038888" \
  -d "businessname=Acme Corporation" \
  -d "firstname=John" \
  -d "lastname=Doe" \
  -d "contactemail=john.doe@example.com" \
  -d "contactphone=1234567890" \
  -d "website=https://www.acme-corp.com" \
  -d "address1=123 Main Street" \
  -d "address2=Apt 4B" \
  -d "city=Metropolis" \
  -d "state=NY" \
  -d "zip=10001" \
  -d "usecase=Marketing Campaign" \
  -d "optininfo=customer opt in by calling our 800 number, and ...." \
  -d "messagecontent=Hello, this is a test message for our campaign!" \
  -d "wherepublished=Social Media" \
  -d "urls_messagecontent=https://www.example.com/test-message" \
  -d "numbers_messagecontent=5551234" \
  -d "enable_canada=true" \
  -d "advertising=yes" \
  -d "fortune500=no" \
  -d "donations=yes" \
  -d "donations_data=Charity Drive 2023, TIN 87-1771212" \
  -d "msgvolume=500000" \
  -d "file1_url=http://mypic.com/screenshot.jpg" \
  -d "file2_url=http://mypic.com/screenshot2.jpg" 
```

{% endtab %}

{% tab title="JSON Response" %}

```php
{"status":"ok"}

OR

{"status":"error","error":"Missing required fields: lastname"}

OR

{"status":"error", "error":"you do not own this number"}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/campaigns/submit-tollfree-campaign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
